ข้ามไปยังเนื้อหา

Grok Imagine Video · Image to Video

ผสานการทำงาน

ID โมเดล xai/grok-imagine-video/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.422 422 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
xAI ภาพเป็นวิดีโอ 1–15 sสูงสุด 720p #grok#xai#image-to-video#i2v

ทำให้ภาพนิ่งหนึ่งภาพเคลื่อนไหวเป็นคลิปยาว 1 ถึง 15 วินาทีที่ 480p หรือ 720p

xAI · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 4096

คำอธิบายแบบข้อความของการเปลี่ยนแปลงหรือการเคลื่อนไหวที่ต้องการในวิดีโอ

•จำเป็น image_url
วางไฟล์ หรือ

URL รูปภาพที่ใช้เป็นอินพุตเพื่อสร้างวิดีโอ

resolution ค่าเริ่มต้น 720p

ความละเอียดของวิดีโอเอาต์พุต

aspect_ratio ค่าเริ่มต้น auto

อัตราส่วนภาพของวิดีโอผลลัพธ์

ค่าเริ่มต้น 6

ความยาววิดีโอเป็นวินาที

ขั้นสูง enable_safety_checker
POST /run/xai/grok-imagine-video/image-to-video?wait=20 ใบเสนอราคา → $0.422
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Grok Imagine Video · Image to Video

เปลี่ยนภาพใน `image_url` เป็นวิดีโอตามพรอมป์การเคลื่อนไหวความยาวสูงสุด 4096 อักขระ กำหนดระยะเวลาได้ตั้งแต่ 1 ถึง 15 วินาที (ค่าเริ่มต้น 6) พร้อมเอาต์พุต 480p หรือ 720p `aspect_ratio` มีค่าเริ่มต้นเป็น auto และบังคับใช้อัตราส่วน เช่น 16:9, 1:1 หรือ 9:16 ได้ เหมาะสำหรับทดสอบการเคลื่อนไหวอย่างรวดเร็วจากงานศิลป์หรือภาพถ่ายที่มีอยู่

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 4,096 อักขระ
คำอธิบายแบบข้อความของการเปลี่ยนแปลงหรือการเคลื่อนไหวที่ต้องการในวิดีโอ
durationไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น6
1 – 15
ความยาววิดีโอเป็นวินาที
resolutionไม่บังคับ
ประเภทenum
ค่าเริ่มต้น720p
480p720p
ความละเอียดของวิดีโอเอาต์พุต
image_urlจำเป็น image
ประเภทurl · image
URL รูปภาพที่ใช้เป็นอินพุตเพื่อสร้างวิดีโอ
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
auto16:94:33:21:12:33:49:16
อัตราส่วนภาพของวิดีโอผลลัพธ์
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 422,
    "usd": "0.422",
    "charged": 422,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}วิดีโอที่โมเดลสร้าง

โมเดลเพิ่มเติม: ภาพเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/xai/grok-imagine-video/image-to-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt